Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network201.4.240.0/20
Usable hosts4,094
Subnet mask255.255.240.0
Addresses4,096
Network address
201.4.240.0
Broadcast address
201.4.255.255
First usable
201.4.240.1
Last usable
201.4.255.254
Usable hosts
4,094 (4,096 less the network and broadcast addresses)
Subnet mask
255.255.240.0
Wildcard mask
0.0.15.255 (Cisco ACLs, OSPF)
Prefix length
/20
Type
Public public
Old class
C (default /24)
As numbers
Hex C904F000 · Integer 3372544000 to 3372548095
Reverse DNS zones
240.4.201.in-addr.arpa
241.4.201.in-addr.arpa
242.4.201.in-addr.arpa
243.4.201.in-addr.arpa
244.4.201.in-addr.arpa
245.4.201.in-addr.arpa
246.4.201.in-addr.arpa
247.4.201.in-addr.arpa
248.4.201.in-addr.arpa
249.4.201.in-addr.arpa
250.4.201.in-addr.arpa
251.4.201.in-addr.arpa
252.4.201.in-addr.arpa
253.4.201.in-addr.arpa
254.4.201.in-addr.arpa
255.4.201.in-addr.arpa
/20 is not on a 8-bit boundary, so it takes 16 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001001.00000100.11110000.00000000201.4.240.0
Subnet mask11111111.11111111.11110000.00000000255.255.240.0
Network11001001.00000100.11110000.00000000201.4.240.0
Broadcast11001001.00000100.11111111.11111111201.4.255.255
Split into smaller subnets/31

201.4.240.0/20 makes 2,048 subnets of /31; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1201.4.240.0/31201.4.240.0 to 201.4.240.1—2
2201.4.240.2/31201.4.240.2 to 201.4.240.3—2
3201.4.240.4/31201.4.240.4 to 201.4.240.5—2
4201.4.240.6/31201.4.240.6 to 201.4.240.7—2
5201.4.240.8/31201.4.240.8 to 201.4.240.9—2
6201.4.240.10/31201.4.240.10 to 201.4.240.11—2
7201.4.240.12/31201.4.240.12 to 201.4.240.13—2
8201.4.240.14/31201.4.240.14 to 201.4.240.15—2
9201.4.240.16/31201.4.240.16 to 201.4.240.17—2
10201.4.240.18/31201.4.240.18 to 201.4.240.19—2
11201.4.240.20/31201.4.240.20 to 201.4.240.21—2
12201.4.240.22/31201.4.240.22 to 201.4.240.23—2
13201.4.240.24/31201.4.240.24 to 201.4.240.25—2
14201.4.240.26/31201.4.240.26 to 201.4.240.27—2
15201.4.240.28/31201.4.240.28 to 201.4.240.29—2
16201.4.240.30/31201.4.240.30 to 201.4.240.31—2
17201.4.240.32/31201.4.240.32 to 201.4.240.33—2
18201.4.240.34/31201.4.240.34 to 201.4.240.35—2
19201.4.240.36/31201.4.240.36 to 201.4.240.37—2
20201.4.240.38/31201.4.240.38 to 201.4.240.39—2
21201.4.240.40/31201.4.240.40 to 201.4.240.41—2
22201.4.240.42/31201.4.240.42 to 201.4.240.43—2
23201.4.240.44/31201.4.240.44 to 201.4.240.45—2
24201.4.240.46/31201.4.240.46 to 201.4.240.47—2
25201.4.240.48/31201.4.240.48 to 201.4.240.49—2
26201.4.240.50/31201.4.240.50 to 201.4.240.51—2
27201.4.240.52/31201.4.240.52 to 201.4.240.53—2
28201.4.240.54/31201.4.240.54 to 201.4.240.55—2
29201.4.240.56/31201.4.240.56 to 201.4.240.57—2
30201.4.240.58/31201.4.240.58 to 201.4.240.59—2
31201.4.240.60/31201.4.240.60 to 201.4.240.61—2
32201.4.240.62/31201.4.240.62 to 201.4.240.63—2
33201.4.240.64/31201.4.240.64 to 201.4.240.65—2
34201.4.240.66/31201.4.240.66 to 201.4.240.67—2
35201.4.240.68/31201.4.240.68 to 201.4.240.69—2
36201.4.240.70/31201.4.240.70 to 201.4.240.71—2
37201.4.240.72/31201.4.240.72 to 201.4.240.73—2
38201.4.240.74/31201.4.240.74 to 201.4.240.75—2
39201.4.240.76/31201.4.240.76 to 201.4.240.77—2
40201.4.240.78/31201.4.240.78 to 201.4.240.79—2
41201.4.240.80/31201.4.240.80 to 201.4.240.81—2
42201.4.240.82/31201.4.240.82 to 201.4.240.83—2
43201.4.240.84/31201.4.240.84 to 201.4.240.85—2
44201.4.240.86/31201.4.240.86 to 201.4.240.87—2
45201.4.240.88/31201.4.240.88 to 201.4.240.89—2
46201.4.240.90/31201.4.240.90 to 201.4.240.91—2
47201.4.240.92/31201.4.240.92 to 201.4.240.93—2
48201.4.240.94/31201.4.240.94 to 201.4.240.95—2
49201.4.240.96/31201.4.240.96 to 201.4.240.97—2
50201.4.240.98/31201.4.240.98 to 201.4.240.99—2
51201.4.240.100/31201.4.240.100 to 201.4.240.101—2
52201.4.240.102/31201.4.240.102 to 201.4.240.103—2
53201.4.240.104/31201.4.240.104 to 201.4.240.105—2
54201.4.240.106/31201.4.240.106 to 201.4.240.107—2
55201.4.240.108/31201.4.240.108 to 201.4.240.109—2
56201.4.240.110/31201.4.240.110 to 201.4.240.111—2
57201.4.240.112/31201.4.240.112 to 201.4.240.113—2
58201.4.240.114/31201.4.240.114 to 201.4.240.115—2
59201.4.240.116/31201.4.240.116 to 201.4.240.117—2
60201.4.240.118/31201.4.240.118 to 201.4.240.119—2
61201.4.240.120/31201.4.240.120 to 201.4.240.121—2
62201.4.240.122/31201.4.240.122 to 201.4.240.123—2
63201.4.240.124/31201.4.240.124 to 201.4.240.125—2
64201.4.240.126/31201.4.240.126 to 201.4.240.127—2
65201.4.240.128/31201.4.240.128 to 201.4.240.129—2
66201.4.240.130/31201.4.240.130 to 201.4.240.131—2
67201.4.240.132/31201.4.240.132 to 201.4.240.133—2
68201.4.240.134/31201.4.240.134 to 201.4.240.135—2
69201.4.240.136/31201.4.240.136 to 201.4.240.137—2
70201.4.240.138/31201.4.240.138 to 201.4.240.139—2
71201.4.240.140/31201.4.240.140 to 201.4.240.141—2
72201.4.240.142/31201.4.240.142 to 201.4.240.143—2
73201.4.240.144/31201.4.240.144 to 201.4.240.145—2
74201.4.240.146/31201.4.240.146 to 201.4.240.147—2
75201.4.240.148/31201.4.240.148 to 201.4.240.149—2
76201.4.240.150/31201.4.240.150 to 201.4.240.151—2
77201.4.240.152/31201.4.240.152 to 201.4.240.153—2
78201.4.240.154/31201.4.240.154 to 201.4.240.155—2
79201.4.240.156/31201.4.240.156 to 201.4.240.157—2
80201.4.240.158/31201.4.240.158 to 201.4.240.159—2
81201.4.240.160/31201.4.240.160 to 201.4.240.161—2
82201.4.240.162/31201.4.240.162 to 201.4.240.163—2
83201.4.240.164/31201.4.240.164 to 201.4.240.165—2
84201.4.240.166/31201.4.240.166 to 201.4.240.167—2
85201.4.240.168/31201.4.240.168 to 201.4.240.169—2
86201.4.240.170/31201.4.240.170 to 201.4.240.171—2
87201.4.240.172/31201.4.240.172 to 201.4.240.173—2
88201.4.240.174/31201.4.240.174 to 201.4.240.175—2
89201.4.240.176/31201.4.240.176 to 201.4.240.177—2
90201.4.240.178/31201.4.240.178 to 201.4.240.179—2
91201.4.240.180/31201.4.240.180 to 201.4.240.181—2
92201.4.240.182/31201.4.240.182 to 201.4.240.183—2
93201.4.240.184/31201.4.240.184 to 201.4.240.185—2
94201.4.240.186/31201.4.240.186 to 201.4.240.187—2
95201.4.240.188/31201.4.240.188 to 201.4.240.189—2
96201.4.240.190/31201.4.240.190 to 201.4.240.191—2
97201.4.240.192/31201.4.240.192 to 201.4.240.193—2
98201.4.240.194/31201.4.240.194 to 201.4.240.195—2
99201.4.240.196/31201.4.240.196 to 201.4.240.197—2
100201.4.240.198/31201.4.240.198 to 201.4.240.199—2
101201.4.240.200/31201.4.240.200 to 201.4.240.201—2
102201.4.240.202/31201.4.240.202 to 201.4.240.203—2
103201.4.240.204/31201.4.240.204 to 201.4.240.205—2
104201.4.240.206/31201.4.240.206 to 201.4.240.207—2
105201.4.240.208/31201.4.240.208 to 201.4.240.209—2
106201.4.240.210/31201.4.240.210 to 201.4.240.211—2
107201.4.240.212/31201.4.240.212 to 201.4.240.213—2
108201.4.240.214/31201.4.240.214 to 201.4.240.215—2
109201.4.240.216/31201.4.240.216 to 201.4.240.217—2
110201.4.240.218/31201.4.240.218 to 201.4.240.219—2
111201.4.240.220/31201.4.240.220 to 201.4.240.221—2
112201.4.240.222/31201.4.240.222 to 201.4.240.223—2
113201.4.240.224/31201.4.240.224 to 201.4.240.225—2
114201.4.240.226/31201.4.240.226 to 201.4.240.227—2
115201.4.240.228/31201.4.240.228 to 201.4.240.229—2
116201.4.240.230/31201.4.240.230 to 201.4.240.231—2
117201.4.240.232/31201.4.240.232 to 201.4.240.233—2
118201.4.240.234/31201.4.240.234 to 201.4.240.235—2
119201.4.240.236/31201.4.240.236 to 201.4.240.237—2
120201.4.240.238/31201.4.240.238 to 201.4.240.239—2
121201.4.240.240/31201.4.240.240 to 201.4.240.241—2
122201.4.240.242/31201.4.240.242 to 201.4.240.243—2
123201.4.240.244/31201.4.240.244 to 201.4.240.245—2
124201.4.240.246/31201.4.240.246 to 201.4.240.247—2
125201.4.240.248/31201.4.240.248 to 201.4.240.249—2
126201.4.240.250/31201.4.240.250 to 201.4.240.251—2
127201.4.240.252/31201.4.240.252 to 201.4.240.253—2
128201.4.240.254/31201.4.240.254 to 201.4.240.255—2
129201.4.241.0/31201.4.241.0 to 201.4.241.1—2
130201.4.241.2/31201.4.241.2 to 201.4.241.3—2
131201.4.241.4/31201.4.241.4 to 201.4.241.5—2
132201.4.241.6/31201.4.241.6 to 201.4.241.7—2
133201.4.241.8/31201.4.241.8 to 201.4.241.9—2
134201.4.241.10/31201.4.241.10 to 201.4.241.11—2
135201.4.241.12/31201.4.241.12 to 201.4.241.13—2
136201.4.241.14/31201.4.241.14 to 201.4.241.15—2
137201.4.241.16/31201.4.241.16 to 201.4.241.17—2
138201.4.241.18/31201.4.241.18 to 201.4.241.19—2
139201.4.241.20/31201.4.241.20 to 201.4.241.21—2
140201.4.241.22/31201.4.241.22 to 201.4.241.23—2
141201.4.241.24/31201.4.241.24 to 201.4.241.25—2
142201.4.241.26/31201.4.241.26 to 201.4.241.27—2
143201.4.241.28/31201.4.241.28 to 201.4.241.29—2
144201.4.241.30/31201.4.241.30 to 201.4.241.31—2
145201.4.241.32/31201.4.241.32 to 201.4.241.33—2
146201.4.241.34/31201.4.241.34 to 201.4.241.35—2
147201.4.241.36/31201.4.241.36 to 201.4.241.37—2
148201.4.241.38/31201.4.241.38 to 201.4.241.39—2
149201.4.241.40/31201.4.241.40 to 201.4.241.41—2
150201.4.241.42/31201.4.241.42 to 201.4.241.43—2
151201.4.241.44/31201.4.241.44 to 201.4.241.45—2
152201.4.241.46/31201.4.241.46 to 201.4.241.47—2
153201.4.241.48/31201.4.241.48 to 201.4.241.49—2
154201.4.241.50/31201.4.241.50 to 201.4.241.51—2
155201.4.241.52/31201.4.241.52 to 201.4.241.53—2
156201.4.241.54/31201.4.241.54 to 201.4.241.55—2
157201.4.241.56/31201.4.241.56 to 201.4.241.57—2
158201.4.241.58/31201.4.241.58 to 201.4.241.59—2
159201.4.241.60/31201.4.241.60 to 201.4.241.61—2
160201.4.241.62/31201.4.241.62 to 201.4.241.63—2
161201.4.241.64/31201.4.241.64 to 201.4.241.65—2
162201.4.241.66/31201.4.241.66 to 201.4.241.67—2
163201.4.241.68/31201.4.241.68 to 201.4.241.69—2
164201.4.241.70/31201.4.241.70 to 201.4.241.71—2
165201.4.241.72/31201.4.241.72 to 201.4.241.73—2
166201.4.241.74/31201.4.241.74 to 201.4.241.75—2
167201.4.241.76/31201.4.241.76 to 201.4.241.77—2
168201.4.241.78/31201.4.241.78 to 201.4.241.79—2
169201.4.241.80/31201.4.241.80 to 201.4.241.81—2
170201.4.241.82/31201.4.241.82 to 201.4.241.83—2
171201.4.241.84/31201.4.241.84 to 201.4.241.85—2
172201.4.241.86/31201.4.241.86 to 201.4.241.87—2
173201.4.241.88/31201.4.241.88 to 201.4.241.89—2
174201.4.241.90/31201.4.241.90 to 201.4.241.91—2
175201.4.241.92/31201.4.241.92 to 201.4.241.93—2
176201.4.241.94/31201.4.241.94 to 201.4.241.95—2
177201.4.241.96/31201.4.241.96 to 201.4.241.97—2
178201.4.241.98/31201.4.241.98 to 201.4.241.99—2
179201.4.241.100/31201.4.241.100 to 201.4.241.101—2
180201.4.241.102/31201.4.241.102 to 201.4.241.103—2
181201.4.241.104/31201.4.241.104 to 201.4.241.105—2
182201.4.241.106/31201.4.241.106 to 201.4.241.107—2
183201.4.241.108/31201.4.241.108 to 201.4.241.109—2
184201.4.241.110/31201.4.241.110 to 201.4.241.111—2
185201.4.241.112/31201.4.241.112 to 201.4.241.113—2
186201.4.241.114/31201.4.241.114 to 201.4.241.115—2
187201.4.241.116/31201.4.241.116 to 201.4.241.117—2
188201.4.241.118/31201.4.241.118 to 201.4.241.119—2
189201.4.241.120/31201.4.241.120 to 201.4.241.121—2
190201.4.241.122/31201.4.241.122 to 201.4.241.123—2
191201.4.241.124/31201.4.241.124 to 201.4.241.125—2
192201.4.241.126/31201.4.241.126 to 201.4.241.127—2
193201.4.241.128/31201.4.241.128 to 201.4.241.129—2
194201.4.241.130/31201.4.241.130 to 201.4.241.131—2
195201.4.241.132/31201.4.241.132 to 201.4.241.133—2
196201.4.241.134/31201.4.241.134 to 201.4.241.135—2
197201.4.241.136/31201.4.241.136 to 201.4.241.137—2
198201.4.241.138/31201.4.241.138 to 201.4.241.139—2
199201.4.241.140/31201.4.241.140 to 201.4.241.141—2
200201.4.241.142/31201.4.241.142 to 201.4.241.143—2
201201.4.241.144/31201.4.241.144 to 201.4.241.145—2
202201.4.241.146/31201.4.241.146 to 201.4.241.147—2
203201.4.241.148/31201.4.241.148 to 201.4.241.149—2
204201.4.241.150/31201.4.241.150 to 201.4.241.151—2
205201.4.241.152/31201.4.241.152 to 201.4.241.153—2
206201.4.241.154/31201.4.241.154 to 201.4.241.155—2
207201.4.241.156/31201.4.241.156 to 201.4.241.157—2
208201.4.241.158/31201.4.241.158 to 201.4.241.159—2
209201.4.241.160/31201.4.241.160 to 201.4.241.161—2
210201.4.241.162/31201.4.241.162 to 201.4.241.163—2
211201.4.241.164/31201.4.241.164 to 201.4.241.165—2
212201.4.241.166/31201.4.241.166 to 201.4.241.167—2
213201.4.241.168/31201.4.241.168 to 201.4.241.169—2
214201.4.241.170/31201.4.241.170 to 201.4.241.171—2
215201.4.241.172/31201.4.241.172 to 201.4.241.173—2
216201.4.241.174/31201.4.241.174 to 201.4.241.175—2
217201.4.241.176/31201.4.241.176 to 201.4.241.177—2
218201.4.241.178/31201.4.241.178 to 201.4.241.179—2
219201.4.241.180/31201.4.241.180 to 201.4.241.181—2
220201.4.241.182/31201.4.241.182 to 201.4.241.183—2
221201.4.241.184/31201.4.241.184 to 201.4.241.185—2
222201.4.241.186/31201.4.241.186 to 201.4.241.187—2
223201.4.241.188/31201.4.241.188 to 201.4.241.189—2
224201.4.241.190/31201.4.241.190 to 201.4.241.191—2
225201.4.241.192/31201.4.241.192 to 201.4.241.193—2
226201.4.241.194/31201.4.241.194 to 201.4.241.195—2
227201.4.241.196/31201.4.241.196 to 201.4.241.197—2
228201.4.241.198/31201.4.241.198 to 201.4.241.199—2
229201.4.241.200/31201.4.241.200 to 201.4.241.201—2
230201.4.241.202/31201.4.241.202 to 201.4.241.203—2
231201.4.241.204/31201.4.241.204 to 201.4.241.205—2
232201.4.241.206/31201.4.241.206 to 201.4.241.207—2
233201.4.241.208/31201.4.241.208 to 201.4.241.209—2
234201.4.241.210/31201.4.241.210 to 201.4.241.211—2
235201.4.241.212/31201.4.241.212 to 201.4.241.213—2
236201.4.241.214/31201.4.241.214 to 201.4.241.215—2
237201.4.241.216/31201.4.241.216 to 201.4.241.217—2
238201.4.241.218/31201.4.241.218 to 201.4.241.219—2
239201.4.241.220/31201.4.241.220 to 201.4.241.221—2
240201.4.241.222/31201.4.241.222 to 201.4.241.223—2
241201.4.241.224/31201.4.241.224 to 201.4.241.225—2
242201.4.241.226/31201.4.241.226 to 201.4.241.227—2
243201.4.241.228/31201.4.241.228 to 201.4.241.229—2
244201.4.241.230/31201.4.241.230 to 201.4.241.231—2
245201.4.241.232/31201.4.241.232 to 201.4.241.233—2
246201.4.241.234/31201.4.241.234 to 201.4.241.235—2
247201.4.241.236/31201.4.241.236 to 201.4.241.237—2
248201.4.241.238/31201.4.241.238 to 201.4.241.239—2
249201.4.241.240/31201.4.241.240 to 201.4.241.241—2
250201.4.241.242/31201.4.241.242 to 201.4.241.243—2
251201.4.241.244/31201.4.241.244 to 201.4.241.245—2
252201.4.241.246/31201.4.241.246 to 201.4.241.247—2
253201.4.241.248/31201.4.241.248 to 201.4.241.249—2
254201.4.241.250/31201.4.241.250 to 201.4.241.251—2
255201.4.241.252/31201.4.241.252 to 201.4.241.253—2
256201.4.241.254/31201.4.241.254 to 201.4.241.255—2

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses